/****************************************************************************************/
/* Header zur Demo (Umgehung der 1k-Grenze)                                             */
/*                                                                                      */
/* Entwickler: Buchgeher Stefan                                                         */
/* Entwicklungsbeginn der Software: 20. Mai 2006                                        */
/* Funktionsfaehig seit: 20. Mai 2006                                                   */
/* Letzte Bearbeitung: 20. Mai 2006                                                     */
/****************************************************************************************/

#ifndef  __PROJEKT
#define  __PROJEKT


/****************** Pragma-Anweisungen **************************************************/
#pragma chip PIC16F877                 // PICmicro Device


/****************** Externe Register  ***************************************************/
extern bank0 uns16 tmp_uebergabe_uns16;

extern bank0 uns16 sollwert;
extern bank0 uns16 istwert;


/****************** Funktionsprototypen *************************************************/
/* Initialisierung des Mikrocontroller */
extern page0 void INIT(void);

/* Unterprogramm zur Analog-Digital-Wandlung */
extern page0 void ADC(char kanal);

/* Unterprogramm zur Ist- und Sollwerteingabe */
extern page0 void Soll_Istwerte_einlesen(void);

/* Weitere Unterprogramme */
extern page0 void UNTERPROGRAMM2(void);
extern page0 char UNTERPROGRAMM3(char Parameter);

#endif
